﻿<!-- 图片上传弹出层 边框背景 模板 -->
<script id="uploadTemplate" type="text/x-jQuery-tmpl">
<div class="Dialog clearfix" style=" margin-top:0px; background:#fff; border:0px solid red; height:500px;">
	<div class="DialogTop clearfix" style="height:75px;">
        <div class="DialogTopBottomLine"></div>
    	<ul>
        	<li><a href="javascript:void(0)" id="collectToolTab">收纳工具</a></li>
            <li><a href="javascript:void(0)" id="copyLinkTab">粘贴网址抓取</a></li>
       		<li><a href="javascript:void(0)" id="uploadTab">本地上传图片</a></li>
        </ul>    	
    </div>
    <div id="holder" class="clearfix"></div>

</div>
</script>

<!-- 图片上传弹出层模板 -->
<script id="uploadDialogTemplate" type="text/x-jQuery-tmpl">
	<div class="Dialog_left float_l">
        <div class="Dialog_pic" id="uploadFileControlHolder">
        </div>
        <div class="Dialog_description">
            <textarea id="comment" rows="3" cols="80" class="Rounded" style="width:643px; height:70px;"></textarea>
            {{tmpl "#publishTemplate"}}
            <input type="button" value="分享" id="uploadBtn" class="DialogRelease" onclick="addPicture()" /><span class="resultMessage"></span>
        </div>
    </div>
    <div class="Dialog_right float_r">
    	 <h1 style="margin-top:0px;">选择盒子：</h1>
         <div id="albumList" style="position: relative" data-album-id="${albums[0].id}" class="albumList Rounded textOver" >${albums[0].name}</div>    
        <div id="nameListHolder"></div>  
        <div id="tagPanelDialog" class="ConmmonLabel"></div>
    </div>
</script>

<script id="publishTemplate" type="text/x-jQuery-tmpl">
    <div style="height:15px; width:100%;">
        {{each partyList}}
            {{if $value < 4 && $value > 0}}
            <input type="checkbox" class="syncChkbox" data-party="${$value}"/>
            {{/if}}
            {{if $value == 1}} <!-- sina -->
                同步到新浪微博
            {{else $value == 2}} <!-- QQ -->
                同步到QQ空间
            {{else $value == 3}} <!-- QQ weibo -->
                同步到腾讯微博
            {{/if}}
        {{/each}}
    </div> 
</script>

<script id="collectToolTemplate" type="text/x-jQuery-tmpl">
    <div class="collectGjBox">  
        <table width="884" border="0" cellspacing="5" cellpadding="5">
          <tr>
            <td width="262" height="110">&nbsp;</td>
            <td width="305">&nbsp;</td>
            <td width="267" rowspan="2"><img src="/img/collectBigJt.jpg" width="220" height="156" /></td>
          </tr>
          <tr>
            <td height="82">&nbsp;</td>
            <td><a href='javascript:void((function(){var d=document,e=d.createElement("script");e.setAttribute("charset","UTF-8");e.setAttribute("src","http://${host}/scripts/collectTool.js?"+Math.floor(new Date/1E7));d.body.appendChild(e)})());'><img alt="盒子工具" src="/img/collectBigBtn.jpg" width="305" height="72" /></a></td>
          </tr>
          <tr>
            <td colspan="3" align="center">
              {{if browser.webkit}}
              <h1>把【<span class="ColorAacd60">收纳到木头盒子</span>】拖到书签栏吧！</h1>
   	          <h3 class="ColorC1">（没看到浏览器收藏栏？快捷键 Ctrl+Shift+B 展开）</h3>
              {{else browser.msie}}
              <h1>右键点击【<span class="ColorAacd60">收纳到木头盒子</span>】，选择“添加到收藏夹”</h1>
   	          <h3 class="ColorC1">（没看到收藏夹？试试Ctrl+B快捷）</h3>
              {{else browser.mozilla}}
              <h1>把【<span class="ColorAacd60">收纳到木头盒子</span>】拖到书签工具栏吧！</h1>
   	          <h3 class="ColorC1">（找不到书签工具栏？打开菜单“查看-工具栏”，勾选“书签工具栏”）</h3>
              {{/if}}
              <h2 class="ColorAacd60">添加后，可直接点击盒子工具抓取想收纳的图片哦！</h2></td>
            </tr>
        </table>
        <span class="xq"><a href="/Aboutus/Explain.aspx" target=_blank>查看详情></a></span>
    </div>
</script>

<!-- 图片上传 点击上传模板 -->
<script id="albumNamefileTemplate" type="text/x-jQuery-tmpl">
    <div id="fileUploadControlMessage" class="error"></div>
    <span class="FileUploadControl">
        <form id="fileUploadForm" action="/Images/FileUpload.ashx" method="post" enctype="multipart/form-data">
            <input type="file" name="fileUploadControl" value="" id="fileUploadControl" multiple/>
        </form>
    </span>
</script>

<!-- 图片上传 复制网址模板 -->
<script id="albumNameDialogWebUrlTemplate" type="text/x-jQuery-tmpl">
    <div class="DialogWebUrl">
        <span>拷贝完整的网址，我们将帮你保存网页的图片和地址。</span>
        <input type="text" class="WebUrl" />
        <input type="button" value="确 定" class="DialogWebSure" />
    </div>
</script>

<!-- 图片上传 复制网址之后图片列表模板 -->
<script id="externalPageImageTemplate" type="text/x-jQuery-tmpl">
    <div style="width:595px; text-align:left;">
    <table width="595" border="0" cellspacing="5" cellpadding="0">
      <tr>
        <td><div style="width:45px;">来源：</div></td>
        <td><span id="title">${title}</span></td>
      </tr>
      <tr>
        <td><div style="width:45px;">链接：</div></td>
        <td><a id="source" href="${url}" class="source_url textOver">${url}</a></td>
      </tr>
    </table>
        
    </div>

    <div style="" class="webUrlBox">
        
        {{if list.length > 0}}
        <ul>
            {{each list}}
                <li class="linkImage">
                <img src="${src}" alt="${alt}"/>
                </li>
            {{/each}}
         </ul>
        {{else}}
            <div><br/><br/><br/>对不起，本页没有合适的图片</div>
        {{/if}}
    </div>
</script>

<script id="albumNameListTemplate" type="text/x-jQuery-tmpl">
    <div id="albumNameList" class="albumNameList">
        <div id="list" class="list">
        	<ul>
            	{{tmpl(albums) "#albumNameItemTemplate"}}
            </ul>   
        </div>
        <div class="createAlbumBox">
        	<ul>
            	<li><input type="text" id="newAlbum" class="newAlbumBox"/>&nbsp;&nbsp;</li>
                <li><input type="button" value="创 建" id="createAlbumBtn" class="Public-Btn-Box WebSure"/></li>
            </ul>
        </div>
    </div>
</script>

<script id="albumNameItemTemplate" type="text/x-jQuery-tmpl">
    <li data-album-id="${id}" class="albumName textOver">${name}</li>
</script>

<!-- 图片抓取弹出层模板 -->
<script id="collectTemplate" type="text/x-jQuery-tmpl">
<div class="Dialog clearfix" style=" margin-top:0px; background:#fff; border:0px solid red;">
<h1 class="clearfix ColorAacd60" style="font-size:24px; height:55px; line-height:55px; font-family:'微软雅黑'; font-weight:300;">木头盒子抓取工具</h1>
<div class="Dialog_left float_l">
    {{if error}}
        <div class="error">${error}</div>
    {{else}}
    <table width="595" border="0" cellspacing="5" cellpadding="0">
      <tr>
        <td><div style="width:45px;">来源：</div></td>
        <td><span id="title">${originalTitle}</span></td>
      </tr>
      <tr>
        <td><div style="width:45px;">链接：</div></td>
        <td><a id="source" href="${originalUrl}" class="source_url textOver">${originalUrl}</a></td>
      </tr>
    </table>
        <div class="Dialog_pic" id="uploadFileControlHolder">
            <div id="statusHolder"></div>
                <img id="preview" width="800" height="600" src="${url}" />
            </div>
            <div class="Dialog_description">
                <textarea id="comment" rows="3" cols="80" class="Rounded">${originalTitle}</textarea>
                {{tmpl "#publishTemplate"}}
                <input type="button" value="确 定" id="uploadBtn" class="DialogRelease" onclick="addPicture()" /><span class="resultMessage"></span>
            </div>
        </div>
    {{/if}}
    <div class="Dialog_right float_r">
    	<h1 style="margin-top:0px;">选择盒子：</h1>
         <div id="albumList" style="position: relative" data-album-id="${albums[0].id}" class="albumList Rounded textOver" >${albums[0].name}</div>            <div id="nameListHolder"></div>  
         <div id="tagPanel" class="ConmmonLabel">
        </div>
    </div>
</div>
</script>

<script id="imagePreviewTemplate" type="text/x-jQuery-tmpl">
    <img id="preview" width="800" height="600" />
</script>

 <!-- 最外面的div不要动 -->
<script id="uploadSuccessTemplate" type="text/x-jQuery-tmpl">  
    <div>
        <div>查看<a href="/picture/${pid}" class="ColorAacd60" target="_blank">我刚分享的</a>&nbsp;&nbsp;或去<a href="/dashboard" class="ColorAacd60" target="_blank">我的房子</a></div>
    </div>
</script>